Bug 257357 - graphics/pecl-imagick: Update to 3.5.1
Summary: graphics/pecl-imagick: Update to 3.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-23 14:38 UTC by Miroslav Lachman
Modified: 2021-07-27 05:26 UTC (History)
1 user (show)

See Also:


Attachments
pecl-imagick update to 3.5.1 (968 bytes, patch)
2021-07-23 14:38 UTC, Miroslav Lachman
ygy: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Lachman 2021-07-23 14:38:10 UTC
Created attachment 226634 [details]
pecl-imagick update to 3.5.1

Upstream has new version 3.5.1, port was updated to this version.

https://pecl.php.net/package-changelog.php?package=imagick&release=3.5.1

Build tested with "poudriere testport" with FreeBSD 12.2 and PHP 8.0. (slaveport pecl-imagick-im7 too)
Comment 1 Miroslav Lachman 2021-07-23 14:51:31 UTC
Build tested with "poudriere testport" with FreeBSD 12.2 and PHP 7.4 too.
Comment 2 Po-Chuan Hsieh freebsd_committer 2021-07-24 10:27:04 UTC
(In reply to Miroslav Lachman from comment #0)

Please change

CONFLICTS_INSTALL?=     ${PKGNAMEPREFIX}${PORTNAME}-im7-[0-9]*

to the new format

CONFLICTS_INSTALL?=     ${PKGNAMEPREFIX}${PORTNAME}-im7
Comment 3 commit-hook freebsd_committer 2021-07-27 04:48:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ce01ec87f98c54c8affb4db56428dfda5558dd43

commit ce01ec87f98c54c8affb4db56428dfda5558dd43
Author:     Miroslav Lachman <000.fbsd@quip.cz>
AuthorDate: 2021-07-27 04:46:59 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-27 04:46:59 +0000

    graphics/pecl-imagick: Update to 3.5.1

    Changelog:      https://pecl.php.net/package-changelog.php?package=imagick&release=3.5.1

    PR:             257357
    Approved by:    lwhsu (mentor, implicit)

 graphics/pecl-imagick/Makefile | 4 ++--
 graphics/pecl-imagick/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 4 Guangyuan Yang freebsd_committer 2021-07-27 05:26:52 UTC
Committed with modifications, thanks!